import DomainEvent from "../DomainEvent";

type ApplicationUpdateFinishedPayload = {
  id: string;
};

export class ApplicationUpdateFinished
  implements DomainEvent<ApplicationUpdateFinishedPayload>
{
  readonly type = "ApplicationUpdateFinished" as const;
  constructor(
    public readonly payload: ApplicationUpdateFinishedPayload,
    public readonly createdAt: Date
  ) {}
}
